<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/container"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/bg"
    android:orientation="vertical">

    <com.android.chmo.ui.view.TopBar
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:showBorder="true"
        android:background="@color/white"
        app:topTitle="提交订单" />

    <com.android.chmo.ui.view.TouchScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:background="@color/white"
        android:fillViewport="true">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:paddingBottom="60dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="20dp">

                <ImageView
                    android:id="@+id/image"
                    android:layout_width="100dp"
                    android:layout_height="100dp"
                    android:layout_marginRight="30dp"
                    android:src="@mipmap/def_img2" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/name"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="名称"
                        android:textColor="@color/black"
                        android:textSize="16sp" />

                    <TextView
                        android:id="@+id/work"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="6dp"
                        android:text=""
                        android:textColor="@color/black"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/time"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="6dp"
                        android:singleLine="true"
                        android:text=""
                        android:textColor="@color/black"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/price"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:text=""
                        android:textColor="@color/pink"
                        android:textSize="14sp"
                        android:visibility="visible" />
                </LinearLayout>
            </LinearLayout>

            <View style="@style/line" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="20dp">

                <LinearLayout style="@style/HContainer">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="20dp"
                        android:gravity="right"
                        android:text="工作名称："
                        android:textColor="@color/black"
                        android:textSize="15sp" />

                    <EditText
                        android:id="@+id/workName"
                        style="@style/InputRect"
                        android:hint="请输入工作名称"
                        android:maxLines="1" />
                </LinearLayout>

                <LinearLayout
                    style="@style/HContainer"
                    android:layout_marginTop="15dp">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="20dp"
                        android:gravity="right"
                        android:text="联系人："
                        android:textColor="@color/black"
                        android:textSize="15sp" />

                    <EditText
                        android:id="@+id/contactName"
                        style="@style/InputRect"
                        android:hint="联系人姓名"
                        android:maxLines="1" />
                </LinearLayout>

                <LinearLayout
                    style="@style/HContainer"
                    android:layout_marginTop="15dp">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="20dp"
                        android:gravity="right"
                        android:text="联系方式："
                        android:textColor="@color/black"
                        android:textSize="15sp" />

                    <EditText
                        android:id="@+id/contactPhone"
                        style="@style/InputRect"
                        android:hint="联系人号码"
                        android:inputType="number"
                        android:maxLines="1" />
                </LinearLayout>

                <LinearLayout
                    style="@style/HContainer"
                    android:layout_marginTop="15dp">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="20dp"
                        android:gravity="right"
                        android:text="工作地点："
                        android:textColor="@color/black"
                        android:textSize="15sp" />

                    <EditText
                        android:id="@+id/workAddress"
                        style="@style/InputRect"
                        android:layout_height="80dp"
                        android:gravity="top"
                        android:hint="填写详细的工作地址"
                        android:padding="10dp" />
                </LinearLayout>

                <LinearLayout
                    style="@style/HContainer"
                    android:layout_marginTop="15dp">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="20dp"
                        android:gravity="right"
                        android:text="备注："
                        android:textColor="@color/black"
                        android:textSize="15sp" />

                    <EditText
                        android:id="@+id/remark"
                        style="@style/InputRect"
                        android:layout_height="80dp"
                        android:gravity="top"
                        android:hint="填写备注信息"
                        android:padding="10dp" />
                </LinearLayout>
            </LinearLayout>

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="20dp"
                android:layout_marginRight="20dp"
                android:text="建议您下单前，先与模特视频面试、确定是否符合您的要求，以及模特的时间安排"
                android:textColor="#999999"
                android:textSize="13sp" />

        </LinearLayout>

    </com.android.chmo.ui.view.TouchScrollView>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/totalPrice"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="@mipmap/video_btnbg"
            android:foreground="@drawable/list_selector"
            android:gravity="center"
            android:text="共计：0h/￥0.00"
            android:textColor="@color/white"
            android:textSize="15sp" />

        <TextView
            android:id="@+id/submit"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="@mipmap/reserve_btnbg"
            android:foreground="@drawable/list_selector"
            android:gravity="center"
            android:text="提交订单"
            android:textColor="@color/white"
            android:textSize="15sp" />
    </LinearLayout>
</LinearLayout>